#!/bin/bash

USER_HOME=$( getent passwd "$USER" | cut -d: -f6 )
if [ -e $USER_HOME/.mre/logging.properties ] ; then
  LOG_CONFIG=-Djava.util.logging.config.file=$USER_HOME/.mre/logging.properties
elif [ -e /etc/mre/logging.properties ] ; then
  LOG_CONFIG=-Djava.util.logging.config.file=/etc/mre/logging.properties
else
  LOG_CONFIG=
fi

# Get the latest JAR file version
APP_JAR=`ls -1 metamed-*.jar | grep -v -e javadoc -e sources | sort | tail -n 1`

# Execute
java $LOG_CONFIG -Xms10m -Xmx2048m -XX:+UseConcMarkSweepGC -jar ${APP_JAR} $@

### EOF